Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.math.ec.rfc8032
Class Ed25519.ExpandedKey

    java.lang.Object
      org.bouncycastle.math.ec.rfc8032.Ed25519.ExpandedKey

Enclosing class:
  Ed25519

public static class Ed25519.ExpandedKey
extends java.lang.Object

Methods that work with expanded format for private keys (xk/xkOff) i.e. SHA-512(seed).

Field Summary
`static int` | `EXPANDED_KEY_SIZE`

Constructor Summary
`Ed25519.ExpandedKey()`

Method Summary
`static void` | `expandPrivateKey(byte[] sk, int skOff, byte[] xk, int xkOff)`
`static void` | `generatePrivateKey(java.security.SecureRandom random, byte[] xk, int xkOff)`
`static Ed25519.PublicPoint` | `generatePublicKey(byte[] xk, int xkOff)`
`static void` | `generatePublicKey(byte[] xk, int xkOff, byte[] pk, int pkOff)`
`static void` | `prune(byte[] xk, int xkOff)`
`static void` | `sign(byte[] xk, int xkOff, byte[] pk, int pkOff, byte[] m, int mOff, int mLen, byte[] sig, int sigOff)`
`static void` | `sign(byte[] xk, int xkOff, byte[] m, int mOff, int mLen, byte[] sig, int sigOff)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXPANDED_KEY_SIZE

    public static final int EXPANDED_KEY_SIZE

See Also:
  Constant Field Values

Constructor Detail

### Ed25519.ExpandedKey

    public Ed25519.ExpandedKey()

Method Detail

### expandPrivateKey

    public static void expandPrivateKey(byte[] sk,
                                        int skOff,
                                        byte[] xk,
                                        int xkOff)

### generatePrivateKey

    public static void generatePrivateKey(java.security.SecureRandom random,
                                          byte[] xk,
                                          int xkOff)

### generatePublicKey

    public static void generatePublicKey(byte[] xk,
                                         int xkOff,
                                         byte[] pk,
                                         int pkOff)

### generatePublicKey

    public static Ed25519.PublicPoint generatePublicKey(byte[] xk,
                                                        int xkOff)

### prune

    public static void prune(byte[] xk,
                             int xkOff)

### sign

    public static void sign(byte[] xk,
                            int xkOff,
                            byte[] m,
                            int mOff,
                            int mLen,
                            byte[] sig,
                            int sigOff)

### sign

    public static void sign(byte[] xk,
                            int xkOff,
                            byte[] pk,
                            int pkOff,
                            byte[] m,
                            int mOff,
                            int mLen,
                            byte[] sig,
                            int sigOff)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD